@import '../../../../style/variables';
@import '../common/mixins';

:host {
  display: block;
  position: relative;

  .member {
    border-bottom: solid rgba(0, 0, 0, 0.12) 1px;
  }

  &:last-of-type {
    .member {
      border: none;
    }
  }

  h4 {
     font-weight: bold;
     margin-bottom: 0;
   }

  h5 {
    margin: 0;
  }

  article {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    text-align: left;
    padding: .5rem 0;
  }

  .license-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;

    > * {
      margin-left: .5rem;

      &:first-child {
        margin-left: 0;
      }
    }

    .mat-icon {
      color: $fmi-plateau-warn-color-default;
      font-size: medium;
      height: auto;
    }
  }

  .number {
    $size: 2rem;
    width: $size;
    height: $size;
    line-height: $size;
    color: $fmi-plateau-accent-color-contrast-darker;
    background-color: $fmi-plateau-accent-color-darker;
    border-radius: 50%;
    justify-self: center;
    grid-area: number;
    text-align: center;
  }

  .mat-drawer-container {
    min-height: 4rem;
  }

  .mat-drawer {
    width: 100%;
    border-right: none;
  }

  .mat-drawer {
    ::ng-deep {
      .mat-drawer-inner-container {
        @include form-grid();

        .mat-form-field {
          width: 100%;

          ::ng-deep {
            .mat-form-field-infix {
              width: auto;
            }
          }
        }

        > button {
          justify-self: center;

          &.switch {
            grid-area: action-1;
          }
          &.status {
            grid-area: action-2;
          }
        }
      }
    }
  }

  .mat-drawer-container {
    &.opened {
      .mat-drawer-content {
        width: 100%;
      }
    }
  }

  .mat-drawer-content {
    @include row-grid();

    > article {
      grid-area: member;
    }

    > button {
      justify-self: center;

      &.delete {
        grid-area: action-2;
      }
      &.edit {
        grid-area: action-1;
      }
    }
  }

}
